> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Status

> Retrieve the status for a single refill for the authenticated user using the provided refill ID.



## OpenAPI

````yaml api-refill-status POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Retrieve Multiple Refill Statuses
      description: >-
        Retrieve the status for multiple refills for the authenticated user
        using the provided refill IDs.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` to fetch the refill statuses
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `refill_status`
                  example: refill_status
                refills:
                  type: string
                  description: '`Refill IDs` separated by a comma, up to 100 IDs'
                  example: 1,2,3
              required:
                - key
                - action
                - refills
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    refill:
                      type: integer
                      example: 1
                    status:
                      oneOf:
                        - type: string
                          example: Completed
                        - type: object
                          properties:
                            error:
                              type: string
                              example: Refill not found
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````